Authentication
Create a single sign-on token
POST
/api/auth/ssoReturns the authenticated user and a new token valid for 24 hours. Requires Redis-backed authentication.
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| tokenrequired | string | |
| userrequired | any | User associated with the resource. |
200 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
500Server error.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
500 example
Code samples
cURL